clc
clear all
close all

fichier = 'Dataset\Shear_Wave_Rot00_CSV_Data\Shear_x001-x101_y010_Rot00.csv';

donnees = readtable(fichier);

first_row = table2array(donnees(1,:));

m_hat = abs(hilbert(first_row));
%filtre passe bas
fs=600.0;
cutoff=3.667;
order=5;
nyq = 0.5 * fs;
normal_cutoff = cutoff / nyq;
[b, a] = butter(order, normal_cutoff, 'low');
filtered_m_hat = filter(b, a, m_hat);
g_py="g.csv";
donnees_python=readtable(g_py);
donnees_python_array = table2array(donnees_python);
x1 = 1:length(donnees_python_array);
x2 = 1:length(filtered_m_hat);
m1=max(donnees_python_array);
m2=max(filtered_m_hat);
l=m1/m2;
plot(first_row);
title('Graphe de first\_row');
xlabel('Indice');
ylabel('|first\_row|');
figure
plot(m_hat);
title('Graphe de m\_hat');
xlabel('Indice');
ylabel('|m\_hat|');
figure
plot(filtered_m_hat);
title('Graphe de filtered\_m\_hat');
xlabel('Indice');
ylabel('|filtered\_m\_hat|');
figure
plot(x1,donnees_python_array,x2, l*filtered_m_hat);
title('Graphe de filtered\_m\_hat\_python & filtered\_m\_hat\_matlab');
xlabel('Indice');
ylabel('|donnees\_python|');
